Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Unable to upgrade Eclipse Luna due to missing repositories
Unable to upgrade Eclipse Luna due to missing repositories [message #1392690] Wed, 02 July 2014 18:05 Go to next message
John Prestel is currently offline John PrestelFriend
Messages: 4
Registered: June 2013
Junior Member
I'm running Eclipse Luna Java IDE RC3, I believe, with version of EGit that comes pre-packaged.

      Eclipse Git Team Provider	3.4.0.201406041058-rc3	org.eclipse.egit.feature.group	Eclipse EGit


Today eclipse told me updates were available, corresponding to the full release of Luna. However, when I try to run the upgrade, it fails due to missing repositories, which seem to all be related to EGit.

An error occurred while collecting items to be installed
session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.egit,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.egit.core,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.egit.doc,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.egit.mylyn.ui,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.egit.ui,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.jgit,3.4.1.201406201815-r
No repository found containing: osgi.bundle,org.eclipse.jgit.archive,3.4.1.201406201815-r
No repository found containing: org.eclipse.update.feature,org.eclipse.egit,3.4.1.201406201815-r
No repository found containing: org.eclipse.update.feature,org.eclipse.egit.mylyn,3.4.1.201406201815-r
No repository found containing: org.eclipse.update.feature,org.eclipse.jgit,3.4.1.201406201815-r


Not sure if this is something the EGit team can help with or not, but I thought I'd start here.


John

[Updated on: Wed, 02 July 2014 18:05]

Report message to a moderator

Re: Unable to upgrade Eclipse Luna due to missing repositories [message #1393060 is a reply to message #1392690] Thu, 03 July 2014 07:20 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 612
Registered: July 2009
Senior Member
The Luna site contains EGit 3.4.0.201406110918-r, we released EGit 3.4.1.201406201815-r shortly
afterwards in order to fix a bug, this version is available from the EGit update sites
http://download.eclipse.org/egit/updates
http://download.eclipse.org/egit/updates-3.4.1

Which EGit / release train update sites are enabled in your Eclipse under "Install new Software > Available Software Sites" ?
Re: Unable to upgrade Eclipse Luna due to missing repositories [message #1398033 is a reply to message #1393060] Thu, 10 July 2014 14:06 Go to previous message
John Prestel is currently offline John PrestelFriend
Messages: 4
Registered: June 2013
Junior Member
I didn't have any EGit-specific sites. I went ahead and added both sites you provided and was able to install updates successfully.

Thanks very much, Matthias!
Previous Topic:Team -> Import Project Set fails with "Invalid project description..."
Next Topic:Rebase interactive reordering commits: Wrong repository state: SAFE
Goto Forum:
  


Current Time: Thu Dec 18 19:38:17 GMT 2014

Powered by FUDForum. Page generated in 0.02218 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software